Subject: bug#36492: c-mode fails with errors during fontification

From: Noam Postavsky <[email-masked]>
Date: Mon, 8 Jul 2019 09:16:56 -0400

On Mon, 8 Jul 2019 at 08:54, Alan Mackenzie <[email-masked]> wrote:

> > I wonder if ignore-errors around font-lock-ensure in mm-display-inline-fontify
> > is still necessary to ensure no more bugs in other modes disrupt Gnus
> > by erroneous code in attachments?  Or maybe raising such errors will help
> > to find fontification bugs sooner?
>
> My feeling is that it's better to let the errors happen, so that we can
> debug them.  But on the other hand, it's not me that gets inconvenienced
> by such an error (I don't use gnus).

Rather than ignore-errors, perhaps using with-demoted-errors would
still let the errors be noticed without too much inconvenience?